<?php 
 ob_start();
    header('Content-Type: text/html; charset=UTF-8');
    require("fpdf/fpdf.php");
    require_once("PDF417/vendor/autoload.php");
    use BigFish\PDF417\PDF417;
    use BigFish\PDF417\Renderers\ImageRenderer;

    include ("config.php");

    /******************************************************************************************/
    /* clase PDF
    /******************************************************************************************/
    class PDF extends FPDF{
        
        function Footer(){
            
            $this->SetTextColor(0,0,0);
            $this->SetFont('helvetica','',8);
            $this->SetXY(18,26.2);
            //$this->Cell(0.8, 0.25, utf8_decode("Pág. ").$this->PageNo().' de {nb}', 0, 1,'L', 0);
        }

        function GetMultiCellHeight($w, $h, $txt, $border=null, $align='J') {
            // Calculate MultiCell with automatic or explicit line breaks height
            // $border is un-used, but I kept it in the parameters to keep the call
            //   to this function consistent with MultiCell()
            $cw = &$this->CurrentFont['cw'];
            if($w==0)
                $w = $this->w-$this->rMargin-$this->x;
            $wmax = ($w-2*$this->cMargin)*1000/$this->FontSize;
            $s = str_replace("\r",'',$txt);
            $nb = strlen($s);
            if($nb>0 && $s[$nb-1]=="\n")
                $nb--;
            $sep = -1;
            $i = 0;
            $j = 0;
            $l = 0;
            $ns = 0;
            $height = 0;
            while($i<$nb)
            {
                // Get next character
                $c = $s[$i];
                if($c=="\n")
                {
                    // Explicit line break
                    if($this->ws>0)
                    {
                        $this->ws = 0;
                        $this->_out('0 Tw');
                    }
                    //Increase Height
                    $height += $h;
                    $i++;
                    $sep = -1;
                    $j = $i;
                    $l = 0;
                    $ns = 0;
                    continue;
                }
                if($c==' ')
                {
                    $sep = $i;
                    $ls = $l;
                    $ns++;
                }
                $l += $cw[$c];
                if($l>$wmax)
                {
                    // Automatic line break
                    if($sep==-1)
                    {
                        if($i==$j)
                            $i++;
                        if($this->ws>0)
                        {
                            $this->ws = 0;
                            $this->_out('0 Tw');
                        }
                        //Increase Height
                        $height += $h;
                    }
                    else
                    {
                        if($align=='J')
                        {
                            $this->ws = ($ns>1) ? ($wmax-$ls)/1000*$this->FontSize/($ns-1) : 0;
                            $this->_out(sprintf('%.3F Tw',$this->ws*$this->k));
                        }
                        //Increase Height
                        $height += $h;
                        $i = $sep+1;
                    }
                    $sep = -1;
                    $j = $i;
                    $l = 0;
                    $ns = 0;
                }
                else
                    $i++;
            }
            // Last chunk
            if($this->ws>0)
            {
                $this->ws = 0;
                $this->_out('0 Tw');
            }
            //Increase Height
            $height += $h;

            return $height;
        }
    }

    /******************************************************************************************/
    /* consultas SQL
    /******************************************************************************************/

    $id = $_GET['id_guia'];

    $mysqli = new mysqli($db_host,$db_user,$db_pass,$db_name);

    //Para obtener los datos de la venta
    $query1 = "SELECT c.nombre as nombre_cliente, c.numero_documento as ruc_dni , g.* FROM guia_remision g INNER JOIN ventas v ON g.id_venta = v.id_venta INNER JOIN clientes c ON c.id_cliente = v.id_cliente WHERE g.id_guia_remision = '".$id."' ";
    $result1 = $mysqli->query($query1);
    $row1 = $result1->fetch_assoc();

    //Para obtener los detalles de la venta
    $query2 = "SELECT p.nombre as descripcion, d.cantidad as cantidad , u.nombre as unidad FROM detalle_venta d INNER JOIN productos p ON d.id_producto = p.id_producto INNER JOIN unidad_medida u ON u.id_unidad_medida = p.id_unidad_medida WHERE d.id_venta = '".$row1['id_venta']."' ";
    $result2 = $mysqli->query($query2);

    //Para obtener los datos de la empresa
    $query3 = "SELECT * FROM empresa WHERE id_empresa = '1' ";
    $result3 = $mysqli->query($query3);
    $row3 = $result3->fetch_assoc();


    // Variables correspondientes a la factura.
    $RUC        = $row1['ruc_dni'];    // RUC.
    $NomRazSoc  = $row1['nombre_cliente'];              // Nombre o Razón social.
    $FecEmi     = $row1['fecha_traslado']; 
            // Fecha de emisión.
    $partida  = $row1['punto_partida'];
    $llegada  = $row1['punto_llegada']; 
    $Domicilio  = $row1['punto_partida']; 
    $Domicilio  = $row1['punto_partida'];      

    $TotMonto   = 0;                            // Total importe. 
    $autoriza   = $row3['autorizacion'];
    $pagina     = $row3['pagina_web'];

  /*  $xml = file_get_contents('../sunat/xml/comprobantes/'.$row3['ruc'].'-'.$row4['codigo'].'-'.$row1['nombre_comprobante'].'.xml');
    // Obteniendo datos del archivo .XML 
    $DOM = new DOMDocument('1.0', 'ISO-8859-1');
    $DOM->preserveWhiteSpace = FALSE;
    $DOM->loadXML($xml);

   // Obteniendo Codigo Hash
    $DocXML = $DOM->getElementsByTagName('DigestValue');
    $i=0;
    foreach($DocXML as $Nodo){
        if ($i==0){
            $CodHash = $Nodo->nodeValue; 
        }
        $i++;
    } */
   
    // TOTALES DE LA FACTURA 
    
    $sub_total = 0;
    $total = 0;
    $igv = 0;
    $desc = 0;
    $ii=0;
    while($row2 = $result2->fetch_assoc()){

        
        $array['detalle'][$ii]['descripcion'] = $row2['descripcion']; 
        $array['detalle'][$ii]['cantidad'] = number_format($row2['cantidad'] , 2, ".", ""); 
        $array['detalle'][$ii]['unidad'] = $row2['unidad']; 
        //$array['detalle'][$ii]['descuento'] = number_format($row2['descuento'] , 2, ".", ""); 
        //$array['detalle'][$ii]['subtotal'] = number_format($row2['subtotal'] , 2, ".", ""); 
        //$sub_total = $sub_total + $row2['precio_venta_neto'];
        //$igv = $igv + $row2['impuesto'];
        $ii++;
    }

    //$TotGrav = number_format($sub_total, 2, '.', '');
    //$TotIGV = number_format($igv, 2, '.', '');
   // $TotMonto = number_format($row1['total'], 2, '.', '');       


    // Crear el gráfico con el código de barras
/*    $nom_f = $row1['nombre_comprobante'];
    $tip_f = $row4['nombre'];
    $ruc_e = $row3['ruc'];
    $textoCodBar = "
        | RUC : $ruc_e
        | $tip_f
        | $nom_f
        | SUBTOTAL : $TotGrav
        | IGV : $TotIGV
        | TOTAL : $TotMonto
        | $FecEmi
        | $CodHash
        ";

    $pdf417 = new PDF417();
    $codigo_barra = $pdf417->encode($textoCodBar);
    // Create a PNG image
    $renderer = new ImageRenderer( ['format' => 'png'] );
    $image = $renderer->render($codigo_barra);
    $image->save('image/image_hash.png');*/
 

    /******************************************************************************************/
    /* creamos documento PDF
    /******************************************************************************************/

    $pdf=new PDF('P','cm','Letter');
    $pdf->AliasNbPages();
    $pdf->AddPage();
    $pdf->AddFont('IDAutomationHC39M','','IDAutomationHC39M.php');
    $pdf->AddFont('verdana','','verdana.php');
    $pdf->SetAutoPageBreak(true);
    $pdf->SetMargins(0, 0, 0);
    $pdf->SetLineWidth(0.02);
    $pdf->SetFillColor(0,0,0);

       
    $pdf->image("../public/img/logo_empresa.jpg",4.1,0.9 , 3.8, 2.1); //ojo
    $pdf->RoundedRect(1, 1, 10, 2.5, 0.2, ''); 

    /*$pdf->SetTextColor(0,0,150);
    $pdf->SetFont('arial','',18);
    $pdf->SetXY(1,1.6);
    $pdf->MultiCell(10, 0.4, $row3['razon_social'], 0, "C", 0);*/
    
    $pdf->SetTextColor(0,0,0);
    $pdf->SetFont('arial','',7);
    $pdf->SetXY(1,2.9);
    $pdf->MultiCell(10, 0.3, $row3['direccion'], 0,'C', 0);

    $pdf->SetXY(1,3.2);
    $pdf->MultiCell(10, 0.3, ""."Telf: ".$row3['telefono'], 0,'C', 0);


    $pdf->RoundedRect(12, 1, 8, 2.5, 0.2, ''); 

    $pdf->SetTextColor(170,0,0);
    $pdf->SetFont('arial','',12);
    $pdf->SetXY(12,1.2);
    $pdf->Cell(8, 0.25, "RUC: ".$row3['ruc']."", 0, 1,'C', 0);

    $pdf->SetTextColor(0,0,0);
    $pdf->SetFont('arial','B',13);
    $pdf->SetXY(12,1.8);
    $pdf->Cell(8, 0.25, utf8_decode("GUÍA DE REMISIÓN"), 0, 1,'C', 0); 

    $pdf->SetXY(12,2.4);
    $pdf->Cell(8, 0.25, utf8_decode("REMITENTE"), 0, 1,'C', 0); 

    $pdf->SetTextColor(0,0,150);
    $pdf->SetFont('arial','',16);
    $pdf->SetXY(12,3.0);
    $pdf->Cell(8, 0.25, utf8_decode("N°").' '.$row1['nombre_guia'], 0, 1,'C', 0); 

    //DATOS DEL DESTINATARIO
    $h_titu = $pdf->GetMultiCellHeight(14, 0.15, utf8_decode($NomRazSoc) , $border=null, $align='L'); 

    $pdf->RoundedRect(1, 4, 19, 2.2+$h_titu, 0.2, ''); 

    $pdf->SetTextColor(0,0,0);
    $pdf->SetFont('arial','B',10);

    $pdf->SetXY(1.1,4.2);
    $pdf->Cell(1, 0.35, utf8_decode("Fecha de Inicio de Traslado"), 0, 1,'L', 0);

    $pdf->SetXY(1.1,4.8);
    $pdf->Cell(1, 0.35, utf8_decode("Destinatario                             :"), 0, 1,'L', 0);

    $pdf->SetXY(1.1,5.4+$h_titu);
    $pdf->Cell(1, 0.35, utf8_decode("DNI / RUC Destinatario"), 0, 1,'L', 0);

    $pdf->SetTextColor(0,0,0);
    $pdf->SetFont('arial','',10);

    $pdf->SetXY(6.0, 4.2);
    $pdf->Cell(1, 0.35, ":  ".date_format(date_create($FecEmi), 'd-m-Y'), 0, 1,'L', 0);

    $pdf->SetXY(6.3,4.8);
    $pdf->MultiCell(14, 0.35, $NomRazSoc, 0, 'L', 0);

    $pdf->SetXY(6,5.4+$h_titu);
    $pdf->Cell(1, 0.35, ":  ".utf8_decode($RUC), 0, 1,'L', 0);

    //DATOS DEL TRASLADO

    $h_parti = $pdf->GetMultiCellHeight(14, 0.15, utf8_decode($row1['punto_partida']) , $border=null, $align='L'); 
    $h_llega = $pdf->GetMultiCellHeight(14, 0.15, utf8_decode($row1['punto_llegada']) , $border=null, $align='L');  

    $pdf->RoundedRect(1, 6.6 +$h_titu, 19, 1.8+$h_parti+$h_llega, 0.2, ''); 

    $pdf->SetTextColor(0,0,0);
    $pdf->SetFont('arial','B',10);

    $pdf->SetXY(1.1,6.8+$h_titu);
    $pdf->Cell(1, 0.35, utf8_decode("Punto de partida                     :"), 0, 1,'L', 0);

    $pdf->SetXY(1.1, 7.6+$h_titu+$h_llega);
    $pdf->Cell(1, 0.35, utf8_decode("Punto de llegada                     :"), 0, 1,'L', 0);

    $pdf->SetTextColor(0,0,0);
    $pdf->SetFont('arial','',10);

    $pdf->SetXY(6.5,6.8+$h_titu);
    $pdf->MultiCell(14, 0.35, $row1['punto_partida'], 0, 'L', 0);

    $pdf->SetXY(6.5, 7.6+$h_titu+$h_llega);
    $pdf->MultiCell(14, 0.35, $row1['punto_llegada'], 0, 'L', 0);

    $h1 = $h_titu+$h_parti+$h_llega;

    //DATOS DEL TRANSPORTISTA

    $h_transpor = $pdf->GetMultiCellHeight(14, 0.15, utf8_decode($row1['nombre_transportista']) , $border=null, $align='L'); 

    $pdf->RoundedRect(1, 8.8+$h1, 19, 2.6+$h_transpor , 0.2, ''); 

    $pdf->SetTextColor(0,0,0);
    $pdf->SetFont('arial','B',10);

    $pdf->SetXY(1.1,9+$h1);
    $pdf->Cell(1, 0.35, utf8_decode("Nombre de Transportista        :"), 0, 1,'L', 0);

    $pdf->SetXY(1.1, 9.6+$h_transpor+$h1);
    $pdf->Cell(1, 0.35, utf8_decode("DNI / RUC de Transportista     :"), 0, 1,'L', 0);

    $pdf->SetXY(1.1,10.2+$h_transpor+$h1);
    $pdf->Cell(1, 0.35, utf8_decode("N° Licencia de Conducir          :"), 0, 1,'L', 0);

    $pdf->SetXY(1.1,10.8+$h_transpor+$h1);
    $pdf->Cell(1, 0.35, utf8_decode("Marca / Placa del Vehiculo      :"), 0, 1,'L', 0);

    $pdf->SetTextColor(0,0,0);
    $pdf->SetFont('arial','',10);

    /*$pdf->SetXY(6.0, 6.8+$h_titu);
    $pdf->Cell(1, 0.35, $row1['punto_partida'], 0, 1,'L', 0);*/

    $pdf->SetXY(6.5,9+$h1);
    $pdf->MultiCell(14, 0.35, utf8_decode($row1['nombre_transportista']), 0, 'L', 0);

    $pdf->SetXY(6.5, 9.6+$h_transpor+$h1);
    $pdf->Cell(1, 0.35, $row1['documento_transportista'], 0, 1,'L', 0);

    $pdf->SetXY(6.5, 10.2+$h_transpor+$h1);
    $pdf->Cell(1, 0.35, $row1['licencia'], 0, 1,'L', 0);

    $pdf->SetXY(6.5, 10.8+$h_transpor+$h1);
    $pdf->Cell(1, 0.35, utf8_decode($row1['marca_placa']), 0, 1,'L', 0);



    // TITULO correspondientes a los productos o servicios de la factura.
    
    $X = 0;
    $Y = 4+$h1+$h_transpor;

    $pdf->SetTextColor(0,0,0);
    $pdf->SetFont('arial','B',10);

    

    $pdf->SetXY($X+1,$Y+8);
    $pdf->Cell(12.6, 0.5, utf8_decode("Descripción"), 1, 1,'C', 0);

    $pdf->SetXY($X+13.6,$Y+8);
    $pdf->Cell(2.5, 0.5, utf8_decode("Cantidad"), 1, 1,'C', 0);

    $pdf->SetXY($X+16.1,$Y+8);
    $pdf->Cell(3.9, 0.5, utf8_decode("Unidad de Medida"), 1, 1,'C', 0);

/*    $pdf->SetXY($X+18.2,$Y+8);
    $pdf->Cell(2.7, 0.5, utf8_decode("Peso"), 1, 1,'C', 0);*/


    // Variables correspondientes a los productos o servicios de la factura
    
    $pdf->SetFont('arial','',10);
    $Y = $Y + 0.5;
    $Y1 = 0;
    for ($i=0; $i < sizeof($array['detalle']) ; $i++) { 
        
        $h_descrip = $pdf->GetMultiCellHeight(12.6, 0.5, utf8_decode($array['detalle'][$i]['descripcion']), $border=null, $align='L'); 
        
        

        $pdf->SetXY($X+1,$Y+8+$Y1);
        $pdf->MultiCell(12.6, 0.5, $array['detalle'][$i]['descripcion'] , 1, "L", 0);

        $pdf->SetXY($X+13.6,$Y+8+$Y1);
        $pdf->Cell(2.5, $h_descrip, utf8_decode($array['detalle'][$i]['cantidad']), 1, 1,'C', 0);
        
        $pdf->SetXY($X+16.1,$Y+8+$Y1);
        $pdf->Cell(3.9, $h_descrip, $array['detalle'][$i]['unidad'], 1, 1,'C', 0);

        /*$pdf->SetXY($X+14.8,$Y+8+$Y1);
        $pdf->Cell(2.7, $h_descrip, ($array['detalle'][$i]['descuento']==0 ? number_format($array['detalle'][$i]['descuento'],2) : '-'.number_format($array['detalle'][$i]['descuento'],2) ), 1, 1,'R', 0);

        $pdf->SetXY($X+17.5,$Y+8+$Y1);
        $pdf->Cell(2.5, $h_descrip, number_format($array['detalle'][$i]['subtotal'],2), 1, 1,'R', 0);*/

         $Y1 = $Y1 + $h_descrip;
         
         
        /*
        $pdf->SetXY($X+1,$Y+8+$Y1);
        $pdf->Cell(2.5, 0.8, utf8_decode($array['detalle'][$i]['cantidad']), 1, 1,'C', 0);

        $pdf->SetXY($X+3.5,$Y+8+$Y1);
        $pdf->Cell(11.3, 0.8, utf8_decode($array['detalle'][$i]['descripcion']), 1, 1,'L', 0);

        $pdf->SetXY($X+14.8,$Y+8+$Y1);
        $pdf->Cell(2.7, 0.8, number_format($array['detalle'][$i]['precio_unitario'],2), 1, 1,'R', 0);

        $pdf->SetXY($X+17.5,$Y+8+$Y1);
        $pdf->Cell(2.5, 0.8, number_format($array['detalle'][$i]['total'],2), 1, 1,'R', 0);

        $Y1 = $Y1 + 0.8;*/
    }   

    /*$pdf->image('image/image_hash.png',0.7, 10+$Y1-0.2, 9, 3); 

    $pdf->SetTextColor(0,0,0);
    $pdf->SetFont('arial','',10);
    $pdf->SetXY(1.2,13+$Y1);
    $pdf->Cell(8, 0.25, utf8_decode("Representación impresa de la factura electrónica."), 0, 1,'C', 0);

    $pdf->SetTextColor(0,0,0);
    $pdf->SetFont('arial','',10);

    $pdf->SetXY(9.9,10+$Y1);
    $pdf->Cell(7.6, 0.5, utf8_decode("Valor de Venta - Operaciones Gravadas       S/ "), 1, 1,'R', 0);

    $pdf->SetXY(17.5,10+$Y1);
    $pdf->Cell(2.5, 0.5, number_format($TotGrav,2), 1, 1,'R', 0);

    $pdf->SetXY(9.9,10+0.5+$Y1);
    $pdf->Cell(7.6, 0.5, utf8_decode("IGV       S/ "), 1, 1,'R', 0);

    $pdf->SetXY(17.5,10+0.5+$Y1);
    $pdf->Cell(2.5, 0.5, number_format($TotIGV,2), 1, 1,'R', 0);

    $pdf->SetFont('arial','B',12);
    $pdf->SetXY(9.9,10+$Y1);
    $pdf->Cell(7.6, 0.7, utf8_decode("Importe Total       S/ "), 1, 1,'R', 0);

    $pdf->SetXY(17.5,10+$Y1);
    $pdf->Cell(2.5, 0.7, number_format($TotMonto,2), 1, 1,'R', 0);*/

    /*$pdf->line(1, 24.8, 20.5, 24.8);

    $pdf->SetTextColor(0,0,0);
    $pdf->SetFont('arial','',9);
    $pdf->SetXY(1,25);
    $pdf->MultiCell(19.5, 0.35, utf8_decode("Representación Impresa de la Guia de Remision \n
    Autorizado para ser Emisor Electrónico mediante la Resolución de Intendencia N° $autoriza \n $pagina \n\n GRACIAS POR SU PREFERENCIA!!"), 0, 'C');*/

    //==============================================================================
    
    
    $NomArchPDF = "guia_remision.pdf";    
    $pdf->Output($NomArchPDF, 'F'); // Se graba el documento .PDF en el disco duro o unidad de estado sólido.
    chmod ($NomArchPDF,0777);  // Se dan permisos de lectura y escritura.
    $pdf->Output($NomArchPDF, 'I'); // Se muestra el documento .PDF en el navegador.    
    
    //unlink('image/image_hash.png');

ob_end_flush(); 