@extends('layout.main')
@section('content')

    <div class="sixteen wide tablet sixteen wide computer column ">
        <div class="ui segment">
            
            <h4 class="ui dividing header teal centered">DETALLES DE EMISION DE COMPROBANTE DE CONTINGENCIA</h4>

            <div class="ui warning message">
                <div class="ui equal width grid">
                    <div class="row" style="padding-bottom: 0px !important">
                        <div class="sixteen wide mobile seven wide tablet  five wide computer column message_header">Personal que registró el comprobante :</div>
                        <div class="sixteen wide mobile nine wide tablet  eleven wide computer column">{{ ucwords(mb_strtolower($data->usuario->nombres)) }} {{ ucwords(mb_strtolower($data->usuario->apellidos)) }} ({{ $data->usuario->username }})</div>
                    </div>
                    <div class="row" style="padding-bottom: 0px !important">
                        <div class="sixteen wide mobile seven wide tablet  five wide computer column message_header">Fecha que se registró el comprobante :</div>
                        <div class="sixteen wide mobile nine wide tablet  eleven wide computer column">{{ ucwords(mb_strtolower($data->created_at)) }}</div>
                    </div>
                    {{-- <div class="row" style="padding-bottom: 0px !important">
                        <div class="sixteen wide mobile eight wide tablet  five wide computer column message_header">Local donde se emitio el comprobante:</div>
                        <div class="sixteen wide mobile eight wide tablet  eleven wide computer column">{{ ucwords(mb_strtolower($data->local->nombre)) }} ({{ ucwords(mb_strtolower($data->local->direccion)) }})</div>
                    </div>  --}}
                </div>
            </div>    

            <div class="ui success message">
                <div class="ui equal width grid">
                    <div class="row" style="padding-bottom: 0px !important">
                        <div class="sixteen wide mobile six wide tablet three wide computer column message_header">Nombre de Cliente :</div>
                        <div class="sixteen wide mobile ten wide tablet  six wide computer column">{{ ucwords(mb_strtolower($data->cliente->nombre)) }} </div>
                        <div class="sixteen wide mobile six wide tablet three wide computer column message_header">{{ $data->cliente->tipo_documento->nombre }} :</div>
                        <div class="sixteen wide mobile ten wide tablet  four wide computer column">{{ $data->cliente->numero_documento }}</div>
                    </div>
                    <div class="row" style="padding-bottom: 0px !important">
                        <div class="sixteen wide mobile six wide tablet  three wide computer column message_header">Direccion de Cliente:</div>
                        <div class="sixteen wide mobile ten wide tablet  six wide computer column">{{ ucwords(mb_strtolower($data->cliente->direccion)) }}</div>
                    
                    @if ($data->id_hospedar != null)
                        <div class="sixteen wide mobile six wide tablet three wide computer column message_header">Habitacion :</div>
                        <div class="sixteen wide mobile ten wide tablet  four wide computer column">{{ $data->hospedar->habitacion->numero }} - {{ $data->hospedar->habitacion->tipo_habitacion->nombre }}</div>
                    @endif

                    </div>

                </div>
            </div>

            <div class="ui info message">
                <div class="ui equal width grid">
                    <div class="row" style="padding-bottom: 0px !important">
                        <div class="sixteen wide mobile eight wide tablet four wide computer column message_header">Tipo de Comprobante :</div>
                        <div class="sixteen wide mobile eight wide tablet four wide computer column">{{ $data->tipo_comprobante->nombre }}</div>
                        <div class="sixteen wide mobile eight wide tablet four wide computer column message_header">N° Comprobante :</div>
                        <div class="sixteen wide mobile eight wide tablet four wide computer column">{{ $data->nombre_comprobante }}</div>
                    </div>
                    <div class="row" style="padding-bottom: 0px !important">
                        <div class="sixteen wide mobile eight wide tablet four wide computer column message_header">Fecha de Emision :</div>
                        <div class="sixteen wide mobile eight wide tablet four wide computer column">{{ $data->fecha_venta }}</div>
                        <div class="sixteen wide mobile eight wide tablet four wide computer column message_header">Monto Total :</div>
                        <div class="sixteen wide mobile eight wide tablet four wide computer column">S/ {{ $data->total_venta }}</div>
                    </div>
                    
                    @if ($data->id_nota != null)
                        <div class="row" style="padding-bottom: 0px !important">
                            <div class="sixteen wide mobile eight wide tablet four wide computer column message_header">Estado de comprobante:</div>
                            <div class="sixteen wide mobile eight wide tablet  twelve wide computer column" style="color: red!important">El comprobante fue ANULADO  <a style="text-decoration: underline;" href="{{ url('nota/detalles/'.$data->id_nota) }}">(ver detalles)</a></div>
                        </div>
                    @endif

                </div>
            </div>
            
            @if($data->tipo_pago == 'CREDITO')
            <div class="ui error message">
                <div class="ui equal width grid">
                    <div class="row" style="padding-bottom: 0px !important">
                        <div class="sixteen wide mobile eight wide tablet four wide computer column message_header">Tipo de Venta :</div>
                        <div class="sixteen wide mobile eight wide tablet four wide computer column">AL {{ $data->tipo_pago }}</div>

                        <div class="sixteen wide mobile eight wide tablet four wide computer column message_header">Fecha a cobrar la deuda:</div>
                        <div class="sixteen wide mobile eight wide tablet four wide computer column">{{ $data->fecha_pago }}</div>
                    </div>
                </div>
            </div>
            @endif

            <div class="ui hidden divider"></div>
            <table class="ui table">
                <thead>
                    <tr>
                        <th class="center aligned">Cantidad</th>
                        <th class="center aligned">Concepto</th>
                        <th class="center aligned" data-tooltip="Precio de venta" data-position="top center" data-inverted="">Monto S/</th>
                        <th class="center aligned">Subtotal</th>
                    </tr>
                </thead>
                <tbody id="tbody">
                    @foreach ($detalle_venta as $venta)
                    <tr data-table="{{ $venta->id_detalle_venta }}">
                        <td>{{ $venta->cantidad }}</td>
                        <td>{{ $venta->descripcion}}</td>
                        <td>{{ $venta->precio_venta }}</td>
                        <td class="warning">{{ $venta->precio_venta_total }}</td>
                    </tr>
                    @endforeach
                </tbody>
            </table>

            <div class="form_footer" >
                <a class="ui small left  floated default button" href="{{ URL::previous() }}"><i class="arrow left icon"></i>REGRESAR</a>

                <?php /**/ $date1 = new DateTime() /**/ ?>
                <?php /**/ $date2 = new DateTime($data->fecha_venta) /**/ ?>
                <?php /**/ $total = $date1->diff($date2)->days /**/ ?>


                @if($data->id_nota == null  && $total < 7 && ($data->id_tipo_comprobante == 2 || ($data->id_tipo_comprobante == 1 && $data->estado_envio == 'ACEPTADO')))
                    <a class="ui small right floated red button btn_anular" href="{{ url('contingencia/credito/'.$data->id_venta) }}"><i class="times icon"></i>Anular Venta</a>
                @endif

                <div class="ui small right floated primary button btn_imprimir" data-id="{{ $data->id_venta }}"><i class="print icon"></i>Imprimir Ticket</div>
                <div class="ui small right floated green button btn_imprimir_a4" data-id="{{ $data->id_venta }}"><i class="print icon"></i>Imprimir A4</div>
                <div class="ui small right floated violet  button btn_enviar"><i class="paper plane icon"></i>Enviar Correo</div>
            </div>  

        </div>
    </div>

    <!--start mail modal -->
    <div class="ui standard tiny modal" id="email_modal">
        <div class="header">Enviar comprobante a email de cliente</div>
        <div class="content">
            <div class="description">
                <div class="ui equal width grid">
                    <div class="row" style="padding-bottom: 0 !important">
                        <div class="five wide column " style="margin-top: 5px;text-align: right"><b>Correo electronico : </b></div>
                        <div class="eleven wide column">
                            <div class="ui small fluid input " id="frmEmail">
                                <input type="text" name="email_cliente" id="email_cliente" size="20" maxlength="100" value="{{ $data->cliente->email }}" placeholde="Email del cliente">
                            </div>
                            <div class="ui error message" style="visibility: hidden;">Ingrese un email valido</div>
                        </div>
                    </div> 
                </div>
            </div>
        </div>   
        <div class="actions" >
            <div class="ui left floated black right labeled icon deny button" style="margin-bottom: 1em">Cerrar<i class="times icon"></i></div>
            <div class="ui right floated primary button btn_enviar_correo"  data-id="{{ $data->id_venta }}"><i class="paper plane icon"></i>ENVIAR</div>
        </div>
    </div>
    <!--end mail modal -->

 
@stop

@section('scripts')
    <script src="{{ asset('js/venta/detalles.js') }}"></script>
@stop


