@extends('layout.main')
@section('content')

@if ($data)
    <div class="sixteen wide tablet fourteen wide computer column ">
        <div class="ui segment">
            
            <h4 class="ui dividing header teal centered">ANULAR CONTINGENCIA CON NOTA DE CREDITO</h4>
            <br>

            <form class="ui form" id="frmNuevo" autocomplete="off">

               <input type="hidden" id="id_venta" name="id_venta" value="{{ $data->id_venta }}">
               <input type="hidden" id="id_tipo_comprobante" name="id_tipo_comprobante" value="3">
               <input type="hidden" id="contingencia" name="contingencia" value="1">

                <div class="five fields">
                    <div class="four wide field">
                        <div class="ui fluid large white label">Cliente</div>
                    </div>
                    <div class="seven wide field">
                        <div class="ui small input ">
                          <input type="text"  readonly value="{{ $data->cliente->nombre }}">
                        </div>
                    </div>
                    <div class="one wide field">
                        <div class="ui fluid large white label">{{ $data->cliente->tipo_documento->nombre }}</div>
                    </div>
                    <div class="two wide field">
                        <div class="ui small input ">
                          <input type="text" readonly value="{{ $data->cliente->numero_documento }}">
                        </div>
                    </div>
                </div>

                <div class="three fields">
                    <div class="four wide field">
                        <div class="ui fluid large white label">Comprobante para anular</div>
                    </div>
                    <div class="three wide field">
                        <div class="ui small input ">
                          <input type="text" maxlength="20" readonly value="{{ $data->nombre_comprobante }}">
                        </div>
                    </div>
                </div>
                <div class="three fields">
                    <div class="four wide field">
                        <div class="ui fluid large white label">Monto</div>
                    </div>


                    <div class="three wide field">
                        <div class="ui labeled small input">
                            <label class="ui label">S/</label>
                            <input type="text"  readonly value="{{ $data->total_venta }}">
                        </div> 
                    </div>

                </div>

                 <div class="three fields">
                    <div class="four wide field">
                        <div class="ui fluid large white label">Tipo</div>
                    </div>
                    <div class="six wide field">
                        <div class="ui labeled small input">
                            <input type="text"  readonly value="NOTA DE CREDITO DE CONTINGENCIA">
                        </div> 
                    </div>
                </div>

                <div class="two fields">
                     <div class="four wide field">
                        <div class="ui fluid large white label">SERIE</div>
                    </div>
                    <div class="two wide field">
                        <div class="ui small input ">
                          <input type="text" maxlength="4" value="0001" name="serie_nota"> 
                        </div>
                    </div>

                    <div class="two wide field">
                        <div class="ui fluid large white label">NUMERO</div>
                    </div>
                    <div class="two wide field">
                        <div class="ui small input ">
                          <input type="text" maxlength="9" name="numero_nota">
                        </div>
                    </div>
                </div>


                <div class="three fields">
                    <div class="four wide field">
                        <div class="ui fluid large white label">Motivo de la anulacion</div>
                    </div>
                    <div class="four wide field">
                        <select class="ui fluid small input dropdown" id="motivo_nota" name="motivo_nota">
                            <option value="01">Anulación de la operación</option>
                            <option value="02">Anulación por error en el RUC</option>
                            <option value="03">Corrección por error en la descripción</option>
                            <option value="04">Descuento global</option>
                            <option value="05">Descuento por ítem</option>
                            <option value="06">Devolución total</option>
                            <option value="07">Devolución por ítem</option>
                            <option value="08">Bonificación</option>
                            <option value="09">Disminución en el valor</option>
                            <option value="10">Otros Conceptos</option> 
                        </select>  
                    </div>
                </div>
                

                <div class="five fields">
                    <div class="four wide field">
                        <div class="ui fluid large white label">Descripcion del motivo</div>
                    </div>
                    <div class="seven wide field">
                        <div class="ui small input ">
                          <input type="text" name="descripcion"  maxlength="200" oninput="$.upperCase(this)" placeholder="Ejemplo: Se Anula por error en el RUC">
                        </div>
                    </div>
                    <div class="one wide field">
                        <div class="ui fluid large white label">Fecha</div>
                    </div>
                    <div class="two wide field">
                        <div class="ui small input ">
                          <input type="text" class="hasDate" readonly name="fecha_emision">
                        </div>
                    </div>
                </div>

                <div class="form_footer">
                    <a class="ui small left  floated default button" href="{{ URL::previous() }}"><i class="arrow left icon"></i>REGRESAR</a>
                    <div class="ui right floated primary button btn_registrar"><i class="check icon"></i>ANULAR</div>
                </div>

            </form>

        </div>
    </div>

    <!--start register modal -->
    <div class="ui small basic modal" id="register_modal">
        <div class="ui icon header"><i class="check circle icon"></i>Anular venta</div>
        <div class="content" style="text-align: center; font-size: 16px">
          <p>¿Esta seguro que quiere anular esta venta?</p>
        </div>
        <div class="actions">
            <div class="ui red basic cancel inverted button" title="Haga clic para salir"><i class="remove icon"></i>Cancelar</div>
            <div class="ui green ok inverted button" title="Haga clic para registrar"> <i class="checkmark icon"></i>Registrar</div>
        </div>
    </div>
    <!--end register modal -->

 @else
    <div class="sixteen wide tablet fifteen wide computer column ">
        <div class="ui segment">
            <h3 class="ui header black centered">No se puede realizar esta accion</h3>
        </div>
    </div>    
@endif


    
@stop

@section('scripts')
    <script src="{{ asset('js/contingencia/nuevo_credito.js') }}"></script>
@stop


