@extends('layout.main')
@section('content')

    <div class="sixteen wide tablet sixteen wide computer column ">
        <div class="ui segment">
            
            <h4 class="ui dividing header teal centered">BOLETAS ELECTRONICAS EMITIDAS</h4>
           
           <input type="hidden" id="tipo" value="BOLETA">

           <div class="ui equal width grid">
                <div class="row">
                    <div class="column export_files" style="text-align: right">
                        <select class="ui small input dropdown" name="estado_envio">
                            <option value="">Seleccione</option>
                            <option value="TODOS">TODOS</option>
                            <option value="0">ACEPTADOS</option>
                            <option value="1">RECHAZADOS</option>
                            <option value="2">NO ENVIADOS</option>
                            <option value="3">PENDIENTES</option>
                            <option value="4">REGISTRADOS</option>
                        </select>  
                    </div>
                </div>
            </div> 

            <table class="ui celled striped table">
                <thead>
                    <tr>
                        <th class="head_table">N°</th>
                        <th class="head_table">Cliente</th>
                        <th class="head_table">Comprobante</th>
                        <th class="head_table">Fecha Emision</th>
                        <th class="head_table">Fecha de Envio</th>
                        <th class="head_table">Total S/</th>
                        <th class="head_table">Estado Envio</th>
                        <th class="head_table">Acciones</th>
                    </tr>
                </thead>
                <tbody>
                   <?php /**/ $i = $data->firstItem() /**/ ?>
                    @foreach ($data as $venta)
                    <tr data-table="{{ $venta->id_venta }}">
                        <td>{{ $i }}</td>
                        <td>{{ $venta->cliente->nombre }}</td>
                        <td>{{ $venta->nombre_comprobante }}</td>
                        <td>{{ $venta->fecha_venta }}</td>
                        <td>{{ $venta->updated_at }}</td>
                        <td>{{ $venta->total_venta}}</td>
                       <td>
                            @if($venta->estado_envio == "ACEPTADO")
                                <div class="ui green label">{{ $venta->estado_envio }}</div>
                            @elseif ($venta->estado_envio == "RECHAZADO")
                                <div class="ui yellow label">{{ $venta->estado_envio }}</div>
                            @elseif ($venta->estado_envio == "NO ENVIADO")
                                <div class="ui red label">{{ $venta->estado_envio }}</div>
                            @elseif ($venta->estado_envio == "PENDIENTE")
                                <div class="ui purple label">PENDIENTE</div>    
                            @elseif ($venta->estado_envio == "REGISTRADO")
                                <div class="ui orange label">REGISTRADO</div>    
                            @endif
                        </td>
                        <td>                            
                            <a class="ui mini vertical animated blue button" title="Ver informacion detallada" href="{{ url('electronico/detalles/'.$venta->id_venta) }}">
                                <div class="hidden content">Detalles</div>
                                <div class="visible content"><i class="search icon"></i></div>
                            </a>
                        </td>
                    </tr>
                    <?php /**/ $i++ /**/ ?>
                    @endforeach
                </tbody>
                <tfoot>
                    <tr>
                        <th colspan="8">
                            @include('layout.includes.pagination')
                        </th>
                    </tr>
                </tfoot>
            </table>

        </div>
    </div>

@stop

@section('scripts')
    <script src="{{ asset('js/electronico/listar.js') }}"></script>
@stop

