@extends('layout.main')
@section('content')
    
    @if ($data)
        <div class="sixteen wide tablet fifteen wide computer column ">
            <div class="ui segment">
                
                <h4 class="ui dividing header teal centered">EDITAR DATOS DE HUESPED</h4>
                <br>

                <form class="ui form" id="frmEditar" autocomplete="off">
                    <input type="hidden" id="id_huesped" name="id_huesped" value="{{ $data->id_huesped}}" >
                    
                    <div class="five fields">
                        <div class="three wide field">
                            <div class="ui fluid large white label">Nombre Completo</div>
                        </div>
                        <div class="eleven wide field">
                            <div class="ui small input">
                                <input type="text" name="nombre" maxlength="200" oninput="$.upperCase(this)" value="{{$data->nombre}}">
                            </div> 
                        </div>
                    </div>

                    <div class="five fields">
                        <div class="three wide field">
                            <div class="ui fluid large white label">N° Documento Identidad</div>
                        </div>
                        <div class="four wide  field">
                            <div class="ui small input">
                                <input type="text" name="dni" maxlength="15" oninput="$.upperCase(this)" value="{{$data->dni}}">
                            </div> 
                        </div>
                        <div class="three wide field">
                            <div class="ui fluid large white label">Genero</div>
                        </div>
                        <div class="four wide  field">
                            <select class="ui small input dropdown" name="genero">
                                <option value="">Seleccione</option>
                                <option value="Masculino" {{$data->genero == 'Masculino' ? 'selected' : ''}} >Masculino</option>
                                <option value="Femenino" {{$data->genero == 'Femenino' ? 'selected' : ''}} >Femenino</option>
                            </select> 
                        </div>
                    </div>

                    <div class="five fields">
                        <div class="three wide field">
                            <div class="ui fluid large white label">Fecha de Nacimiento</div>
                        </div>
                        <div class="four wide  field">
                            <div class="ui small input">
                                <input type="text" name="fecha_nacimiento" class="fecha_pas" value="{{$data->fecha_nacimiento}}">
                            </div> 
                        </div>
                        <div class="three wide field">
                            <div class="ui fluid large white label">Telefono</div>
                        </div>
                        <div class="four wide  field">
                            <div class="ui small input">
                                <input type="text" name="telefono" maxlength="15" value="{{$data->telefono}}">
                            </div> 
                        </div>
                    </div>

                    <div class="five fields">
                        <div class="three wide field">
                            <div class="ui fluid large white label">Ocupacion</div>
                        </div>
                        <div class="four wide  field">
                            <div class="ui small input">
                                <input type="text" name="ocupacion" maxlength="50" oninput="$.upperCase(this)" value="{{$data->ocupacion}}">
                            </div> 
                        </div>
                        <div class="three wide field">
                            <div class="ui fluid large white label">Email</div>
                        </div>
                        <div class="four wide  field">
                            <div class="ui small input">
                                <input type="text" name="email" maxlength="100" value="{{$data->email}}">
                            </div> 
                        </div>
                    </div>

                    <div class="five fields">
                        <div class="three wide field">
                            <div class="ui fluid large white label">Pais</div>
                        </div>
                        <div class="four wide  field">
                            <div class="ui small input">
                                <input type="text" name="pais" maxlength="50" oninput="$.upperCase(this)" value="{{$data->pais}}">
                            </div> 
                        </div>
                        <div class="three wide field">
                            <div class="ui fluid large white label">Ciudad</div>
                        </div>
                        <div class="four wide  field">
                            <div class="ui small input">
                                <input type="text" name="ciudad" maxlength="50" oninput="$.upperCase(this)" value="{{$data->ciudad}}">
                            </div> 
                        </div>
                    </div>
                    
                    <br><br>
                    <h4 class="ui header teal centered">Datos de la Empresa que Representa</h4>
                    <br>

                    <div class="five fields">
                        <div class="three wide field">
                            <div class="ui fluid large white label">Razon Social</div>
                        </div>
                        <div class="eleven wide field">
                            <div class="ui small input">
                                <input type="text" name="razon_social" maxlength="200" oninput="$.upperCase(this)" value="{{$data->razon_social}}">
                            </div> 
                        </div>
                    </div>

                    <div class="five fields">
                        <div class="three wide field">
                            <div class="ui fluid large white label">RUC</div>
                        </div>
                        <div class="three wide  field">
                            <div class="ui small input">
                                <input type="text" name="ruc" maxlength="11" value="{{$data->ruc}}">
                            </div> 
                        </div>
                        <div class="three wide field">
                            <div class="ui fluid large white label">Direccion de Empresa</div>
                        </div>
                        <div class="five wide  field">
                            <div class="ui small input">
                                <input type="text" name="direccion_empresa" maxlength="200" oninput="$.upperCase(this)" value="{{$data->direccion_empresa}}">
                            </div>
                        </div>
                    </div>
                        
                    <div class="form_footer">
                        <a class="ui left floated default button" href="{{ URL::previous() }}"><i class="arrow left icon"></i>REGRESAR</a>
                        <div class="ui right floated primary button btn_guardar"><i class="save icon"></i>GUARDAR</div>
                    </div>    
                </form>

            </div>
        </div>
        <!--start update modal -->
        <div class="ui small basic modal" id="update_modal">
            <div class="ui icon header"><i class="paper plane icon"></i>Guardar cambios</div>
            <div class="content" style="text-align: center; font-size: 16px">
              <p>¿Está seguro que quiere guardar los cambios que hizo?</p>
            </div>
            <div class="actions">
                <div class="ui red basic cancel inverted button" title="Haga clic para salir"><i class="remove icon"></i>Cancelar</div>
                <div class="ui green ok inverted button" title="Haga clic para guardar cambios"> <i class="checkmark icon"></i>Guardar</div>
            </div>
        </div>
        <!--end update modal -->
    @else
        <div class="sixteen wide tablet fifteen wide computer column ">
            <div class="ui segment">
                <h3 class="ui header black centered">No se encuentra el registro que desea editar</h3>
            </div>
        </div>    
    @endif

@stop

@section('scripts')
    <script src="{{ asset('js/huesped/editar.js') }}"></script>
@stop


